<?php

namespace App\Http\Controllers;

use App\Models\Game;

use App\Models\GameSession;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    public function index()
    {
        $gameSessions = GameSession::with('game') // Assuming 'game' is the relationship name in GameSession model
            ->where('end_time', '<', Carbon::today())
            ->orderBy('end_time', 'desc')
            ->take(12)
            ->get();

        return view('home', compact('gameSessions'));
    }
    public function single()
    {
        return view('single');
    }

    public function jodi()
    {
        return view('jodi');
    }
    public function jodi_chart()
    {
        return view('jodi_chart');
    }

    public function panel_chart()
    {
        return view('panel_chart');
    }
    public function allgames()
    {
        $games = Game::all();
        return view('allgames', compact('games'));
    }
    public function singlegame($gameId)
    {
        $game = Game::with(['gameSessions' => function ($query) {
            $query->where('end_time', '<', Carbon::today());
        }])->findOrFail($gameId);

        return view('singlegame', compact('game'));
    }

    public function adminRedirect()
    {
        if (Auth::check() && Auth::user()->role->name === 'admin') {
            return redirect()->route('admin.dashboard'); // Redirect to the admin dashboard
        }

        return redirect()->route('admin.login');
    }
}
