<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Illuminate\Support\Facades\Auth;

class EnsureUserIsCustomer
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (!auth()->check() || auth()->user()->role->name !== 'customer') {
            return redirect('/login');
        }
        if (Auth::check() && Auth::user()->role->name === 'customer' && Auth::user()->status == '0') {
            Auth::logout(); // Log out the user
            return redirect('/login')->with('blocked', 'Your account is inactive. Please contact support.'); // Redirect to login with a message
        }
        return $next($request);
    }
}
