const inputs = document.querySelectorAll('[data-number-code-input]');
const previousBidsJson = document.querySelector('meta[name="previous-bids-json"]').getAttribute('content');
const previousBids = JSON.parse(previousBidsJson);
// console.log(previousBids);
inputs.forEach(input => {

    input.addEventListener('input', () => {

        // For Single Only
        let changeField = input.classList.contains('andarFieldClass')
        ? 'andar'
        : input.classList.contains('baharFieldClass')
        ? 'bahar'
        : null;



        console.log(changeField);
        // Cache all the entered values first
        const values = [];
        inputs.forEach(innerInput => {
            values.push(Number(innerInput.value));
        });

        // Iterate through each input to update its corresponding bidResult
        inputs.forEach((innerInput, index) => {
            const resultDiv = innerInput.closest('.inputContainer').querySelector('.bidResult');
            let curField = innerInput.classList.contains('andarFieldClass') ? 'andar' : 'bahar';
            // console.log(status, index);
            // Calculate the sum of all values except the current one
            // const sumOfOtherValues = values.reduce((acc, currVal, currIndex) => {
            //     if (index !== currIndex) {
            //         return acc + currVal;
            //     }
            //     return acc;
            // }, 0);


            const sumOfOtherValues = values.reduce((acc, currVal, currIndex) => {

                if (curField == 'andar' && currIndex >= 0 && currIndex <= 9) {
                    // Sum only for Andar fields (indices 0-9)
                    if (index !== currIndex) {
                        return acc + currVal;
                    }
                } else if (curField == 'bahar' && currIndex >= 10 && currIndex <= 19) {
                    // Sum only for Bahar fields (indices 10-19)
                    if (index !== currIndex) {
                        return acc + currVal;
                    }
                } else if (changeField === null) {
                    // Default behavior for null: sum all other fields
                    if (index !== currIndex) {
                        return acc + currVal;
                    }
                }

                return acc;
            }, 0);


            console.log('Sum of other values:', sumOfOtherValues, innerInput, index);

            const selectElement = document.getElementById('game_session');
            const selectedOption = selectElement.options[selectElement.selectedIndex];
            if (!selectedOption) {
                return null;
            }

            const sessionId = selectedOption.value;

            let previousBidAmount = 0;
            let prevBidValue = 0;
            // if (previousBids.hasOwnProperty(sessionId)) {
            //     const bids = previousBids[sessionId];
            //     prevBidValue = bids[index];
            //     // Validate that bids is an array and contains valid bid objects
            //     if (Array.isArray(bids)) {
            //         previousBidAmount = bids.reduce((acc, bid, currIndex) => {
            //             if (index !== currIndex) {
            //                 return acc + bid;
            //             }
            //             return acc;
            //         }, 0);
            //     } else {
            //         console.error(`Invalid bids data for session ${sessionId}:`, bids);
            //     }
            // }


            if (previousBids.hasOwnProperty(sessionId)) {
                const bids = previousBids[sessionId];
                prevBidValue = bids[index]; // Get the current index's previous bid value

                // Validate that bids is an array and contains valid bid objects
                if (Array.isArray(bids)) {
                    previousBidAmount = bids.reduce((acc, bid, currIndex) => {
                        if (curField == 'andar' && currIndex >= 0 && currIndex <= 9) {
                            // Sum only for Andar fields (indices 0-9)
                            if (index !== currIndex) {
                                return acc + bid;
                            }
                        } else if (curField == 'bahar'  && currIndex >= 10 && currIndex <= 19) {
                            // Sum only for Bahar fields (indices 10-19)
                            if (index !== currIndex) {
                                return acc + bid;
                            }
                        } else if (changeField === null) {
                            // Default behavior for null: sum all other fields
                            if (index !== currIndex) {
                                return acc + bid;
                            }
                        }
                        return acc;
                    }, 0);
                } else {
                    console.error(`Invalid bids data for session ${sessionId}:`, bids);
                }
            }



            const totalsumofOtherValues = sumOfOtherValues + previousBidAmount;
            const totalvaluesofcurIndex = values[index] + prevBidValue;

            const result = (totalvaluesofcurIndex * wvalue) - totalsumofOtherValues;
            // const result = (values[index] * wvalue) - sumOfOtherValues + previousBidAmount;
            resultDiv.textContent = result.toString();

            // Set class based on the value
            if (result >= 0) {
                resultDiv.classList.add('green');
                resultDiv.classList.remove('redBg');
            } else {
                resultDiv.classList.add('redBg');
                resultDiv.classList.remove('green');
            }
        });
    });
});


