@extends('admin.layouts')

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col d-flex justify-content-between align-items-center">
                        <h1>Active Biddings</h1>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <table id="biddingTable" class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Amount</th>
                                            <th>Game Session</th>
                                            <th>Bid Details</th>
                                            <th>Username</th>
                                            <th>Date</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

@push('scripts')
    <script src="//cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#biddingTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('admin.activebiddinghistory') }}",
                columns: [
                    { data: 'id', name: 'id' },
                    { data: 'total_amount', name: 'total_amount', orderable: true, searchable: true },
                    { data: 'game', name: 'game_session_id' },
                    { data: 'bid_details', name: 'bid_details', orderable: false, searchable: false, render: function(data, type, row) {
                        return data;
                    }},
                    { data: 'username', name: 'username' },
                    { data: 'created_at', name: 'created_at' },
                ],
                order: [[0, 'desc']]
            });

        });
    </script>
    <style>
        .bid-details-container {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
        }
        .bid-detail {
            width: 60px;
            background: #fff;
            border: 1px solid #ddd;
            border-radius: 5px;
            text-align: center;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            overflow: hidden;
        }
        .bid-number {
            background: #f7f7f7;
            padding: 10px;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
        }
        .bid-amount {
            padding: 10px;
            background: #ff4d4d;
            color: #fff;
            font-weight: bold;
        }
        </style>
@endpush

