@extends('admin.layouts')

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col d-flex justify-content-between align-items-center">
                        <h1>Profit Loss</h1>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row mb-3">
                    <div class="col-md-3">
                        <input type="text" id="start_date" class="form-control" placeholder="Start Date" autocomplete="off">
                    </div>
                    <div class="col-md-3">
                        <input type="text" id="end_date" class="form-control" placeholder="End Date" autocomplete="off">
                    </div>
                    <div class="col-md-4">
                        <select class="form-control" id="user_id">
                            <option value="">All Users</option>
                            @foreach ($customers as $customer)
                                <option value="{{ $customer->id }}">{{ $customer->name }}

                                    </html>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-md-2">
                        <button id="filter" class="btn btn-primary">Filter</button>
                    </div>
                </div>
                <div class="row">

                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <table id="profitLossTable" class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Game</th>
                                            <th>Winning Number</th>
                                            <th>Bid Details</th>
                                            <th>Profit/Loss</th>
                                            <th>Total Amount</th>
                                            <th>Username</th>
                                            <th>Created At</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

@push('scripts')
    <script src="//cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            var table = $('#profitLossTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: "{{ route('admin.profitloss') }}",
                    data: function(d) {
                        d.start_date = $('#start_date').val();
                        d.end_date = $('#end_date').val();
                        d.user_id = $("#user_id").val();
                    }
                },
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'game',
                        name: 'game'
                    },
                    {
                        data: 'session',
                        name: 'session'
                    },
                    {
                        data: 'bid_details',
                        name: 'bid_details',
                        orderable: false,
                        searchable: false
                    },
                    {
                        data: 'profit_loss',
                        name: 'profit_loss'
                    },
                    {
                        data: 'total_amount',
                        name: 'total_amount'
                    },
                    {
                        data: 'username',
                        name: 'username'
                    },
                    {
                        data: 'created_at',
                        name: 'created_at'
                    }
                ],
                order: [
                    [0, 'desc']
                ]
            });

            $('#filter').click(function() {
                table.draw();
            });

            // Optional: Initialize date pickers if you're using one (like jQuery UI Datepicker)
            $('#start_date, #end_date').datepicker({
                dateFormat: 'yy-mm-dd'
            });


        });
    </script>

    <style>
        .bid-details-container {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
        }
        .bid-detail {
            width: 60px;
            background: #fff;
            border: 1px solid #ddd;
            border-radius: 5px;
            text-align: center;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
            overflow: hidden;
        }
        .bid-number {
            background: #f7f7f7;
            padding: 10px;
            font-weight: bold;
            border-bottom: 1px solid #ddd;
        }
        .bid-amount {
            padding: 10px;
            background: #ff4d4d;
            color: #fff;
            font-weight: bold;
        }
        </style>
@endpush

