@extends('admin.layouts')

@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col d-flex justify-content-between align-items-center">
                    <h1>Transactions</h1>

                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <table id="gamesTable" class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Debit From</th>
                                        <th>Credit To</th>
                                        <th>Amount</th>
                                        <th>Transation Type</th>
                                        <th>Remark</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
@endsection

@push('scripts')
    <script src="//cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#gamesTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('transactions.index') }}",
                columns: [
                    {data: 'id', name: 'id'},
                    {data: 'debtor_name', name: 'debtor_name'},
                    {data: 'creditor_name', name: 'creditor_name'},
                    {data: 'amount', name: 'amount'},
                    {data: 'transaction_type', name: 'transaction_type'},
                    {data: 'remark', name: 'remark'},
                ],
                order: [[0, 'desc']]
            });
        });
    </script>
@endpush
