<x-guest-layout>
    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <!-- Login page -->
    <section class="loginForm">
        <div class="container py-5 h-100">
            <div class="row d-flex align-items-center justify-content-center h-100">
                <div class="col-xl-5 col-md-7 col-12 loginFormContainer">
                    @if (session('blocked'))
                        <div class="alert alert-danger">
                            {{ session('blocked') }}
                        </div>
                    @endif
                    <div class="loginIcon">
                        <img src="{{ asset('images/login-.gif') }}" class="img-fluid">
                    </div>
                    <h2>Login</h2>
                    <form method="POST" action="{{ route('login') }}">
                        @csrf
                        <div class="form-outline mb-4">
                            <x-input-label for="email" class="form-label" :value="__('Username/Email')" />
                            <x-text-input id="email" class="form-control form-control-lg" type="text"
                                name="email" :value="old('email')" required autofocus autocomplete="username" />
                            <x-input-error :messages="$errors->get('email')" class="mt-2" />
                        </div>

                        <!-- Password -->
                        <div class="form-outline mb-4">
                            <x-input-label for="password" class="form-label" :value="__('Password')" />

                            <x-text-input id="password" class="form-control form-control-lg" type="password"
                                name="password" required autocomplete="current-password" />

                            <x-input-error :messages="$errors->get('password')" class="mt-2" />
                        </div>

                        <div class="flex items-center justify-end mt-4">

                            <x-primary-button class="btn btn-primary btn-lg btn-block">
                                {{ __('Log in') }}
                            </x-primary-button>
                        </div>


                    </form>
                </div>
            </div>
        </div>
    </section>
    <!-- Login page CSS -->

</x-guest-layout>
