@extends('layouts.main')

@section('content')
    <section class="container">
        <div class="row">
            @include('layouts.brokersidebar')

            <div class="col-xl-9 col-md-9 col-12 rightbar mt-5 gametimeContainer">
                <table class="table" id="depositHistoryTable">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Amount</th>


                            <th>Type</th>
                            <th>Remark</th>
                            <th>Date</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </section>
@endsection

@push('scripts')
<script>
$(document).ready(function() {
    $('#depositHistoryTable').DataTable({
        processing: true,
        serverSide: true,
        ajax: '{{ route("broker.transactions") }}',
        columns: [
            { data: 'id', name: 'id' },
            { data: 'amount', name: 'amount' },
            { data: 'transaction_type', name: 'transaction_type' },
            { data: 'remark', name: 'remark' },
            { data: 'created_at', name: 'created_at' },
        ],
        order: [[0, 'desc']]
    });
});
</script>
@endpush
