@extends('layouts.main')

@section('content')


<section class="container">
  <div class="row">
    @include('layouts.usersidebar')

    <div class="col-xl-9 col-md-9 col-12 rightbar mt-5">


      @if (session('status'))
      <div class="alert alert-success">
        {{ session('status') }}
      </div>
      @endif

      @if ($errors->any())
      <div class="alert alert-danger">
        <ul>
          @foreach ($errors->all() as $error)
          <li>{{ $error }}</li>
          @endforeach
        </ul>
      </div>
      @endif

      <form action="{{ route('customer.reset-password') }}" method="POST">
        @csrf
        <div class="form-group">
          <label for="current_password">Current Password</label>
          <input type="password" name="current_password" id="current_password" class="form-control" required>
        </div>

        <div class="form-group">
          <label for="new_password">New Password</label>
          <input type="password" name="new_password" id="new_password" class="form-control" required>
        </div>

        <div class="form-group">
          <label for="new_password_confirmation">Confirm New Password</label>
          <input type="password" name="new_password_confirmation" id="new_password_confirmation" class="form-control" required>
        </div>

        <button type="submit" class="btn btn-primary">Reset Password</button>
      </form>




    </div>
  </div>
</section>
@endsection