<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <title>Document</title>

  <link rel="icon" type="image/png" href="images/fevicon.png">
  <link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
  <link rel="stylesheet" href="{{ asset('css/owl.carousel.min.css') }}">
  <link rel="stylesheet" href="{{ asset('css/owl.theme.default.min.css') }}">
  <link rel="stylesheet" href="{{ asset('css/font-awesome.min.css') }}">
  <link href="{{ asset('css/style.css') }}" rel="stylesheet">
  <script src="{{ asset('js/bootstrap.bundle.min.js') }}"></script>

</head>


<body>
  <!-- Navbar -->



  <style>
    .notification {
      background-color: #030824;
      padding: 15px 0;
      color: white;
      overflow: hidden;
      position: relative;
    }
    .notification p {
      display: inline-block;
      white-space: nowrap;
      animation: scroll-left 10s linear infinite;
    }
    @keyframes scroll-left {
      0% {
        transform: translateX(100%);
      }
      100% {
        transform: translateX(-100%);
      }
    }
  </style>
  <!-- Notification -->
  @if(!empty($settings['notification']))
  <div class="notification container-fluid">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-md-12 col-12 copyTxt">
                <p>{{ $settings['notification'] }}</p>
            </div>
        </div>
    </div>
  </div>
  @endif
  <!-- Notification -->

  <!-- Navbar -->
  <nav class="navbar navbar-expand-sm navbar-dark mainMenu sticky-top">
    <div class="container">
      <a class="navbar-brand me-2" href="{{ route('/') }}">
        <img src="{{ asset('images/logo.png') }}" height="40" width="40" alt="" style="margin-top: -1px;">
      </a>
      <div class="d-flex align-items-center order-sm-last">

        @guest
        <a href="{{ route('login') }}" class="btn btn-primary loginBtn">
          <i class="fa fa-user-o" aria-hidden="true"></i> Login
        </a>
        @else
        @if (Auth::user()->role->name == 'admin')
        <a href="{{ route('admin.dashboard') }}" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        @elseif (Auth::user()->role->name == 'broker')
        <a href="{{ route('broker.dashboard') }}" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        @else {{-- Assuming any other role is a customer --}}
        <a href="{{ route('customer.dashboard') }}" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        @endif
        @endguest

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
          <span class="navbar-toggler-icon"></span>
        </button>
      </div>
      <div class="collapse navbar-collapse" id="mynavbar">
        <ul class="navbar-nav me-auto">
          <li class="nav-item {{ request()->is('/') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('/') }}">Home</a>
          </li>
          <li class="nav-item {{ request()->is('bets.single') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('bets.single') }}">Single</a>
          </li>
          <li class="nav-item {{ request()->is('bets.jodi') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('bets.jodi') }}">Jodi</a>
          </li>
          <li class="nav-item {{ request()->is('games') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('all-games') }}">All Games</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <!-- Navbar -->




  <div class="min-h-screen flex flex-col sm:justify-center items-center pt-6 sm:pt-0 bg-gray-100 dark:bg-gray-900">


    <div class="w-full sm:max-w-md mt-6 px-6 py-4 bg-white dark:bg-gray-800 shadow-md overflow-hidden sm:rounded-lg">
      {{ $slot }}
    </div>
  </div>
  <!-- Footer -->
  <footer class="container-fluid mt-5 footer">
    <div class="container">
      <div class="row">
        <div class="col-xl-12 col-md-12 col-12 footermenu">
          <ul>
            <li><a href="#">Online Matka Play</a></li>
            <li><a href="#">Satta Matka Online</a></li>
            <li><a href="#">Satta Matka</a></li>
            <li><a href="#">Kalyan Matka</a></li>
            <li><a href="#">SattaMatka143</a></li>
            <li><a href="#">Matka Result</a></li>
          </ul>
        </div>
        <p>Desclaimer: Purchase Of Online Lottery Using This Website Is Prohibited In The Territories Where
          Lotteries Are Banned. Playing Online Matka Below 18 Years Is Not Acceptable. Call Us On The Given
          Phone Number To Make A Complaint.</p>
      </div>
    </div>
  </footer>
  <!-- Footer -->
  <div class="copryright container-fluid">
    <div class="container">
      <div class="row">
        <div class="col-xl-6 col-md-6 col-7 copyTxt">
          <p>Copyright © 2023 Matka. All Rights Reserved.</p>
        </div>
        <div class="col-xl-6 col-md-6 col-5 socialMedia">
          <ul>
            <li><a href="#" target="_blank"><i class="fa fa-facebook-official"></i></a></li>
            <li><a href="#" target="_blank"><i class="fa fa-twitter-square"></i></a></li>
            <li><a href="#" target="_blank"><i class="fa fa-instagram"></i></a></li>
            <li><a href="#" target="_blank"><i class="fa fa-linkedin-square"></i></a></li>
          </ul>
        </div>
      </div>
    </div>
  </div>


  <script type="text/javascript" src="{{ asset('js/jquery.min.js') }}"></script>
  <script type="text/javascript" src="{{ asset('js/owl.carousel.js') }}"></script>
  <script type="text/javascript" src="{{ asset('js/appscript.js') }}"></script>
</body>

</html>