<style>
    .notification {
      background-color: #030824;
      padding: 15px 0;
      color: white;
      overflow: hidden;
      position: relative;
    }
    .notification p {
      display: inline-block;
      white-space: nowrap;
      animation: scroll-left 10s linear infinite;
    }
    @keyframes scroll-left {
      0% {
        transform: translateX(100%);
      }
      100% {
        transform: translateX(-100%);
      }
    }
  </style>
  <!-- Notification -->

  @if(!empty($settings['notification']))
  <div class="notification container-fluid">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-md-12 col-12 copyTxt">
                <p>{{ $settings['notification'] }}</p>
            </div>
        </div>
    </div>
  </div>
  @endif

  <!-- Notification -->
<!-- Navbar -->
<nav class="navbar navbar-expand-sm navbar-dark mainMenu sticky-top">
    <div class="container">
      <a class="navbar-brand me-2" href="{{ route('/') }}">
        <img src="{{ asset('images/logo.png') }}" height="40" width="40" alt="" style="margin-top: -1px;">
      </a>
      <div class="d-flex align-items-center order-sm-last">

        @guest
        <a href="{{ route('login') }}" class="btn btn-primary loginBtn">
          <i class="fa fa-user-o" aria-hidden="true"></i> Login
        </a>
        @else
        @if (Auth::user()->role->name == 'admin')
        <a href="{{ route('admin.dashboard') }}" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        @elseif (Auth::user()->role->name == 'broker')
        <a href="{{ route('broker.dashboard') }}" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        @else {{-- Assuming any other role is a customer --}}
        <a href="javascript:void(0)" class="btn btn-primary loginBtn"><i class="fa fa-money" aria-hidden="true"></i> {{ Auth::user()->exposure->sum('total_amount') }}</a>
        <a href="{{ route('customer.wallet') }}" class="btn btn-primary loginBtn"><i class="fa fa-google-wallet" aria-hidden="true"></i> {{ Auth::user()->wallet->amount }}</a>
        <a href="{{ route('customer.dashboard') }}" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        @endif
        @endguest

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
          <span class="navbar-toggler-icon"></span>
        </button>
      </div>
      <div class="collapse navbar-collapse" id="mynavbar">
        <ul class="navbar-nav me-auto">
          <li class="nav-item {{ request()->is('/') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('/') }}">Home</a>
          </li>
          <li class="nav-item {{ request()->is('bets.single') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('bets.single') }}">Single</a>
          </li>
          <li class="nav-item {{ request()->is('bets.jodi') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('bets.jodi') }}">Jodi</a>
          </li>
          <li class="nav-item {{ request()->is('games') ? 'active' : '' }}">
            <a class="nav-link" href="{{ route('all-games') }}">All Games</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
<!-- Navbar -->
